export declare const CdsTransitionExpand: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    mode: import('vue').Prop<"in-out" | "out-in" | "default">;
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    mode: import('vue').Prop<"in-out" | "out-in" | "default">;
}>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionExpandX: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    mode: import('vue').Prop<"in-out" | "out-in" | "default">;
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    mode: import('vue').Prop<"in-out" | "out-in" | "default">;
}>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export { CdsTransitionModal } from './modalTransition';
export { CdsTransitionCollapse } from './collapseTransition';
export declare const CdsTransitionFade: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionSlideY: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionSlideX: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionSlideRight: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionSlideLeft: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionJumpRight: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionJumpLeft: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionScale: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionModalBottom: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export declare const CdsTransitionModalTop: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    group: import('vue').PropType<boolean>;
    hideOnLeave: import('vue').PropType<boolean>;
    leaveAbsolute: import('vue').PropType<boolean>;
    mode: {
        type: import('vue').PropType<string>;
        default: string | undefined;
    };
    origin: {
        type: import('vue').PropType<string>;
        default: string;
    };
}>> & Readonly<{}>, {
    mode: string;
    origin: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
